Bug 1007374 - Review Request: python-troveclient - Client library for OpenStack DBaaS API
Review Request: python-troveclient - Client library for OpenStack DBaaS API
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn 'besser82' Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 07:04 EDT by Matthias Runge
Modified: 2013-09-17 06:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-17 06:59:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2013-09-12 07:04:42 EDT
Spec URL: http://www.matthias-runge.de/fedora/python-troveclient.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-troveclient-0.1.4-1.fc19.src.rpm
Description: This is a client for the Trove API. There's a Python API (the
troveclient module), and a command-line script (trove). Each
implements 100% (or less ;) ) of the Trove API.
Fedora Account System Username: mrunge

Koji scratchbuild: http://koji.fedoraproject.org/koji/taskinfo?taskID=5926340

[mrunge@turing SPECS]$ rpmlint /home/mrunge/rpmbuild/SRPMS/python-troveclient-0.1.4-1.fc19.src.rpm /home/mrunge/rpmbuild/RPMS/noarch/python-troveclient-0.1.4-1.fc19.noarch.rpm ./python-troveclient.spec 
python-troveclient.src:63: W: macro-in-comment %check
python-troveclient.src:64: W: macro-in-comment %{__python}
python-troveclient.noarch: W: no-manual-page-for-binary trove-cli
python-troveclient.noarch: W: no-manual-page-for-binary trove-mgmt-cli
./python-troveclient.spec:63: W: macro-in-comment %check
./python-troveclient.spec:64: W: macro-in-comment %{__python}
2 packages and 1 specfiles checked; 0 errors, 6 warnings.
Comment 1 Christopher Meng 2013-09-12 07:17:05 EDT
Drop-by:

1. %{__python} --> %{__python2}

2. %{python_sitelib} --> %{python2_sitelib}
Comment 2 Björn 'besser82' Esser 2013-09-12 07:18:53 EDT
taken  ;)
Comment 4 Björn 'besser82' Esser 2013-09-12 16:19:17 EDT
I can see some complaints of python-sphinx during build of the autodocs:

  Traceback (most recent call last):
    File "/usr/lib/python2.7/site-packages/sphinx/ext/autodoc.py", line 321,
    in import_object
      __import__(self.modname)
  ImportError: No module named reddwarfclient
  ...

You're possibly missing a BR or need to adjust PYTHONPATH accordingly.  Or is this simply not avail in Fedora?

#####

Package looks good to me.  :)

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: python-troveclient (description)

     ---> false positive

[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 256000 bytes in 32 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.

     ---> noarch

[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-troveclient-0.1.4-2.fc21.noarch.rpm
          python-troveclient-0.1.4-2.fc21.src.rpm
python-troveclient.noarch: W: no-manual-page-for-binary trove-cli
python-troveclient.noarch: W: no-manual-page-for-binary trove-mgmt-cli
python-troveclient.src:63: W: macro-in-comment %check
python-troveclient.src:64: W: macro-in-comment %{__python2}
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

---> comment-out the macros with a doubled % to get rid of this.



Rpmlint (installed packages)
----------------------------
# rpmlint python-troveclient
python-troveclient.noarch: W: no-manual-page-for-binary trove-cli
python-troveclient.noarch: W: no-manual-page-for-binary trove-mgmt-cli
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-troveclient (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)



Provides
--------
python-troveclient:
    python-troveclient



Source checksums
----------------
https://pypi.python.org/packages/source/p/python-troveclient/python-troveclient-0.1.4.tar.gz :
  CHECKSUM(SHA256) this package     : 745057a1a1dd2a58f3e638cf506f5b21a6bf8a42bf678adb17a58d6799a10141
  CHECKSUM(SHA256) upstream package : 745057a1a1dd2a58f3e638cf506f5b21a6bf8a42bf678adb17a58d6799a10141


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1007374
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api
Disabled plugins: Java, C/C++, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

APPROVED!!!
Comment 5 Björn 'besser82' Esser 2013-09-12 16:29:01 EDT
btw, Matthias, is this able to be build for Python3 as well?
Comment 6 Michael Schwendt 2013-09-13 05:12:29 EDT
> ImportError: No module named reddwarfclient

ChangeLog:    Rename from reddwarf to trove.
…
ChangeLog:    Renamed reddwarfclient repo to troveclient.
…
Comment 7 Matthias Runge 2013-09-13 07:32:31 EDT
(In reply to Michael Schwendt from comment #6)
> > ImportError: No module named reddwarfclient
> 
> ChangeLog:    Rename from reddwarf to trove.
> …
> ChangeLog:    Renamed reddwarfclient repo to troveclient.
> …

Where did you saw that? And what does it mean for this review?
Comment 8 Matthias Runge 2013-09-13 07:33:58 EDT
New Package SCM Request
=======================
Package Name: python-troveclient
Short Description: Client library for OpenStack DBaaS API
Owners: mrunge
Branches: f19 f20 el6
Comment 9 Michael Schwendt 2013-09-13 08:46:52 EDT
> Where did you saw that?

grep reddwarf python-troveclient-0.1.4/* -R

> And what does it mean for this review?

Not much. The upstream rename seems to be incomplete, since files in python-troveclient-0.1.4/docs/source/ still use the old name.
Comment 10 Björn 'besser82' Esser 2013-09-13 09:06:51 EDT
(In reply to Michael Schwendt from comment #9)
> > Where did you saw that?
> 
> grep reddwarf python-troveclient-0.1.4/* -R
> 
> > And what does it mean for this review?
> 
> Not much. The upstream rename seems to be incomplete, since files in
> python-troveclient-0.1.4/docs/source/ still use the old name.

Patching those missing renaming-bits should solve the issue with the autodocs, I found in the build.log.  This might improve the quality / contents of the generated autodocs,too, but won't affect the usability of the plugin.  :)

(In reply to Björn "besser82" Esser from comment #4)
> I can see some complaints of python-sphinx during build of the autodocs:
> 
>   Traceback (most recent call last):
>     File "/usr/lib/python2.7/site-packages/sphinx/ext/autodoc.py", line 321,
>     in import_object
>       __import__(self.modname)
>   ImportError: No module named reddwarfclient
>   ...
Comment 11 Gwyn Ciesla 2013-09-13 09:20:24 EDT
Git done (by process-git-requests).
Comment 12 Matthias Runge 2013-09-17 06:59:29 EDT
built and imported, thanks

Note You need to log in before you can comment on or make changes to this bug.